/report/insight/benchmarking/ssps
Header bidding results per SSP for one publisher (bid rate, win rate and bid value), compared with similar publishers (its cohort) and the network
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"currency": "GBP",
"data": {
"appnexus": {
"no_bids": {
"publisher": 6120450,
"cohort": 4210380,
"network": 3655120
},
"bids": {
"publisher": 2240310,
"cohort": 1480215,
"network": 1290440
},
"won_bids": {
"publisher": 512880,
"cohort": 330910,
"network": 285300
},
"bid_requests": {
"publisher": 8360760,
"cohort": 5690595,
"network": 4945560
},
"lost_bids": {
"publisher": 1727430,
"cohort": 1149305,
"network": 1005140
},
"won_bid_revenue": {
"publisher": 874.36,
"cohort": 552,
"network": 471
},
"bid_revenue": {
"publisher": 3610.92,
"cohort": 2288,
"network": 1984
}
},
"rubicon": {
"no_bids": {
"publisher": 7480215,
"cohort": 5102440,
"network": 4418230
},
"bids": {
"publisher": 2614980,
"cohort": 1730120,
"network": 1508860
},
"won_bids": {
"publisher": 601455,
"cohort": 388760,
"network": 335910
},
"bid_requests": {
"publisher": 10095195,
"cohort": 6832560,
"network": 5927090
},
"lost_bids": {
"publisher": 2013525,
"cohort": 1341360,
"network": 1172950
},
"won_bid_revenue": {
"publisher": 1048.57,
"cohort": 661,
"network": 566
},
"bid_revenue": {
"publisher": 4205.48,
"cohort": 2657,
"network": 2303
}
},
"pubmatic": {
"no_bids": {
"publisher": null,
"cohort": 2804215,
"network": 2490380
},
"bids": {
"publisher": null,
"cohort": 902140,
"network": 795520
},
"won_bids": {
"publisher": null,
"cohort": 186250,
"network": 162740
},
"bid_requests": {
"publisher": null,
"cohort": 3706355,
"network": 3285900
},
"lost_bids": {
"publisher": null,
"cohort": 715890,
"network": 632780
},
"won_bid_revenue": {
"publisher": null,
"cohort": 301,
"network": 262
},
"bid_revenue": {
"publisher": null,
"cohort": 1295,
"network": 1124
}
},
"unknown": {
"no_bids": {
"publisher": 41210,
"cohort": 28650,
"network": 24180
},
"bids": {
"publisher": 6420,
"cohort": 4180,
"network": 3650
},
"won_bids": {
"publisher": 1310,
"cohort": 860,
"network": 740
},
"bid_requests": {
"publisher": 47630,
"cohort": 32830,
"network": 27830
},
"lost_bids": {
"publisher": 5110,
"cohort": 3320,
"network": 2910
},
"won_bid_revenue": {
"publisher": 2.18,
"cohort": 1,
"network": 1
},
"bid_revenue": {
"publisher": 9.47,
"cohort": 6,
"network": 5
}
}
}
},
"success": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A single publisher ID
Date range to report on. Preset ranges end yesterday. month_to_date is the current month so far and week_to_date is the current week so far. custom requires start and end (YYYY-MM-DD). Other values return a 400 error
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
Revenue type
net, gross Revenue source, SaaS or Plug&Play (pap)
all, pap, saas Environment or platform to report from
all, app, web When yes, leaves out publishers in the same organisation as this publisher, including its child organisations, from the cohort and network
yes, no Was this page helpful?
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/benchmarking/ssps")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": {
"currency": "GBP",
"data": {
"appnexus": {
"no_bids": {
"publisher": 6120450,
"cohort": 4210380,
"network": 3655120
},
"bids": {
"publisher": 2240310,
"cohort": 1480215,
"network": 1290440
},
"won_bids": {
"publisher": 512880,
"cohort": 330910,
"network": 285300
},
"bid_requests": {
"publisher": 8360760,
"cohort": 5690595,
"network": 4945560
},
"lost_bids": {
"publisher": 1727430,
"cohort": 1149305,
"network": 1005140
},
"won_bid_revenue": {
"publisher": 874.36,
"cohort": 552,
"network": 471
},
"bid_revenue": {
"publisher": 3610.92,
"cohort": 2288,
"network": 1984
}
},
"rubicon": {
"no_bids": {
"publisher": 7480215,
"cohort": 5102440,
"network": 4418230
},
"bids": {
"publisher": 2614980,
"cohort": 1730120,
"network": 1508860
},
"won_bids": {
"publisher": 601455,
"cohort": 388760,
"network": 335910
},
"bid_requests": {
"publisher": 10095195,
"cohort": 6832560,
"network": 5927090
},
"lost_bids": {
"publisher": 2013525,
"cohort": 1341360,
"network": 1172950
},
"won_bid_revenue": {
"publisher": 1048.57,
"cohort": 661,
"network": 566
},
"bid_revenue": {
"publisher": 4205.48,
"cohort": 2657,
"network": 2303
}
},
"pubmatic": {
"no_bids": {
"publisher": null,
"cohort": 2804215,
"network": 2490380
},
"bids": {
"publisher": null,
"cohort": 902140,
"network": 795520
},
"won_bids": {
"publisher": null,
"cohort": 186250,
"network": 162740
},
"bid_requests": {
"publisher": null,
"cohort": 3706355,
"network": 3285900
},
"lost_bids": {
"publisher": null,
"cohort": 715890,
"network": 632780
},
"won_bid_revenue": {
"publisher": null,
"cohort": 301,
"network": 262
},
"bid_revenue": {
"publisher": null,
"cohort": 1295,
"network": 1124
}
},
"unknown": {
"no_bids": {
"publisher": 41210,
"cohort": 28650,
"network": 24180
},
"bids": {
"publisher": 6420,
"cohort": 4180,
"network": 3650
},
"won_bids": {
"publisher": 1310,
"cohort": 860,
"network": 740
},
"bid_requests": {
"publisher": 47630,
"cohort": 32830,
"network": 27830
},
"lost_bids": {
"publisher": 5110,
"cohort": 3320,
"network": 2910
},
"won_bid_revenue": {
"publisher": 2.18,
"cohort": 1,
"network": 1
},
"bid_revenue": {
"publisher": 9.47,
"cohort": 6,
"network": 5
}
}
}
},
"success": true
}